Package org.eclipse.emf.cdo.common.lob

## Class CDOLob<IO>

- java.lang.Object
- - org.eclipse.emf.cdo.common.lob.CDOLobInfo
  - - org.eclipse.emf.cdo.common.lob.CDOLob<IO>

- Direct Known Subclasses:
    `CDOBlob`, `CDOClob`

      public abstract class CDOLob<IO>
      extends CDOLobInfo

  A identifiable large object with streaming support.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract IO` | `getContents()` |
    `CDOLobStore` | `getStore()` |
    `abstract java.lang.String` | `getString()` |
    `protected abstract CDOLobInfo` | `put​(IO contents)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLobInfo

      `equals, getID, getIDString, getSize, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getStore

          public final CDOLobStore getStore()

    - #### getContents

          public abstract IO getContents()
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getString

          public abstract java.lang.String getString()
                                              throws java.io.IOException

      Throws:
        `java.io.IOException`
      Since:
        4.13

    - #### put

          protected abstract CDOLobInfo put​(IO contents)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`